<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

while (ereg("/$", $pfad))
	{
	 $pfad = substr($pfad, 0, -1);
	}

while (ereg("^/", $pfad))
	{
	 $pfad = substr($pfad, 1, (strlen($pfad) -1));
	}

$pfad = ereg_replace("/+", "/", $pfad);

if (substr($pfad, 0, 1) != "/") $pfad = "/".$pfad;
$dir = "/$PHP_AUTH_USER/html".$pfad;
exec($bindir."/lsdir.pl ".$dir, $devnull, $status);

if (($status != 0) || (ereg("\.\./", $pfad)) || (ereg("\.\.$", $pfad)))
	{
	 $fehlertext = ltext("tofene2_error10", array($pfad));
	 include("tools_fehlerseiten_neu.php");
	 exit();
	}

if ((istleer($fehler401)) && (istleer($fehler404)) && (istleer($fehler500)) && (istleer($fehler403)))	{
	$fehlertext = ltext("tofene2_error4");
	include("tools_fehlerseiten_neu.php");
	exit();
			}


if ((!ereg("^/", $fehler404)) && (!ereg("^http[s]?://", $fehler404)) && (!istleer($fehler404)))
	{
	 $fehlertext = ltext("tofene2_error5");
	 include("tools_fehlerseiten_neu.php");
	 exit();
	}

if ((!ereg("^/", $fehler403)) && (!ereg("^http[s]?://", $fehler403)) && (!istleer($fehler403)))
	{
	 $fehlertext = ltext("tofene2_error11");
	 include("tools_fehlerseiten_neu.php");
	 exit();
	}

if ((!ereg("^/", $fehler401)) && (!istleer($fehler401)))
	{
	 $fehlertext = ltext("tofene2_error6");
	 include("tools_fehlerseiten_neu.php");
	 exit();
	}

if ((!ereg("^/", $fehler500)) && (!ereg("^http[s]?://", $fehler500)) && (!istleer($fehler500)))
	{
	 $fehlertext = ltext("tofene2_error7");
	 include("tools_fehlerseiten_neu.php");
	 exit();
	}

db_connect($db_host, $db_user, $db_pass);

## prüfen, ob schon fehlerseiten für verzeichnis gesetzt wurden
$id = safe_query( "select * from fehlermeldungen where kunde = ?  AND pfad = ? ", TRUE, new SQLString( $PHP_AUTH_USER ), new SQLString( $pfad ) );
if (db_num_rows($id) > 0)	{
	$fehlertext = ltext("tofene2_error8");
	db_close();
	include("tools_fehlerseiten_neu.php");
	exit();
				}
## //

## anbieter ermitteln
$id = safe_query( "select anbieter from kunden where kunde = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
$anbieter = $werte["anbieter"];

safe_query( "insert into fehlermeldungen (pfad, fehlertyp, seite, kunde, anbieter) VALUES (  ? ,  '401',  ? ,  ? ,  ?  )", TRUE, new SQLString( $pfad ), new SQLString( $fehler401 ), new SQLString( $PHP_AUTH_USER ), new SQLString( $anbieter ) );
safe_query( "insert into fehlermeldungen (pfad, fehlertyp, seite, kunde, anbieter) VALUES (  ? ,  '403',  ? ,  ? ,  ?  )", TRUE, new SQLString( $pfad ), new SQLString( $fehler403 ), new SQLString( $PHP_AUTH_USER ), new SQLString( $anbieter ) );
safe_query( "insert into fehlermeldungen (pfad, fehlertyp, seite, kunde, anbieter) VALUES (  ? ,  '404',  ? ,  ? ,  ?  )", TRUE, new SQLString( $pfad ), new SQLString( $fehler404 ), new SQLString( $PHP_AUTH_USER ), new SQLString( $anbieter ) );
safe_query( "insert into fehlermeldungen (pfad, fehlertyp, seite, kunde, anbieter) VALUES (  ? ,  '500',  ? ,  ? ,  ?  )", TRUE, new SQLString( $pfad ), new SQLString( $fehler500 ), new SQLString( $PHP_AUTH_USER ), new SQLString( $anbieter ) );
safe_query( "update allgemein set htaccess='1'", TRUE );
$id = safe_query( "select * from htaccess where pfad = ?  and kunde = ? ", TRUE, new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
if (db_num_rows($id) < 1)	{
safe_query( "insert into htaccess (pfad, kunde) VALUES (  ? ,  ?  )", TRUE, new SQLString( $pfad ), new SQLString( $PHP_AUTH_USER ) );
				}

db_close();

$fehlertitel = ltext("tofene2_errortitle");
$fehlertext = ltext("tofene2_error9");
$pfad = "";
$fehler401 = "";
$fehler500 = "";
$fehler404 = "";
include("tools_fehlerseiten.php");
exit();
?>
